## ibus-unikey 0.7.0~beta1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (ibus-unikey)

cmake_policy(SET CMP0054 NEW)

add_compile_options(-std=c++11 -Werror)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake)

include(GNUInstallDirs)

set(LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}" CACHE string "where to install ibus-{engine,setup}-unikey")
set(PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
set(LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")

set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -L ${LIBEXECDIR}")

add_definitions(
    -DPACKAGE_NAME="${PROJECT_NAME}"
    -DGETTEXT_PACKAGE="${PROJECT_NAME}"
    -DPACKAGE_VERSION="0.7.0"
    -DPACKAGE_BUGREPORT="https://github.com/vn-input/ibus-unikey/issues"
    -DLOCALEDIR="${LOCALEDIR}"
    -DPKGDATADIR="${PKGDATADIR}"
    -DLIBEXECDIR="${LIBEXECDIR}"
)

include_directories(
    ${PROJECT_SOURCE_DIR}/ukengine
    ${PROJECT_SOURCE_DIR}/src/config
)

add_subdirectory(ukengine)
add_subdirectory(src)
add_subdirectory(setup)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
install(FILES ibus-unikey.svg DESTINATION ${PKGDATADIR}/icons)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

gettext_process_po_files(vi ALL PO_FILES vi.po)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/vi.gmo"
    DESTINATION "${LOCALEDIR}/vi/LC_MESSAGES"
    RENAME "${PROJECT_NAME}.mo")

=== setup/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0)

add_executable(ibus-setup-unikey
    main.cpp
    signal_handlers.cpp
    macro_utils.cpp
)
target_link_libraries(ibus-setup-unikey
    ukengine
    unikey-config
    ${GTK3_LIBRARIES}
)
target_include_directories(ibus-setup-unikey PUBLIC ${GTK3_INCLUDE_DIRS})

install(TARGETS ibus-setup-unikey DESTINATION ${LIBEXECDIR})
install(FILES ibus-unikey.ui DESTINATION ${PKGDATADIR}/ui)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(IBUS REQUIRED ibus-1.0)

add_subdirectory(config)

add_executable(ibus-engine-unikey
    main.cpp
    engine.cpp
)
target_link_libraries(ibus-engine-unikey
    ukengine
    unikey-config
    ${IBUS_LIBRARIES}
)
target_include_directories(ibus-engine-unikey PUBLIC ${IBUS_INCLUDE_DIRS})

configure_file(unikey.xml.in unikey.xml)

install(TARGETS ibus-engine-unikey DESTINATION ${LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unikey.xml DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/ibus/component")

=== ukengine/CMakeLists.txt ===
set (SOURCES byteio.cpp
    charset.cpp
    convert.cpp
    data.cpp
    error.cpp
    inputproc.cpp
    mactab.cpp
    pattern.cpp
    ukengine.cpp
    usrkeymap.cpp
    unikey.cpp
)

add_library(ukengine STATIC ${SOURCES})
set_target_properties(ukengine PROPERTIES COMPILE_FLAGS "-funsigned-char -Wno-invalid-source-encoding")

=== src/config/CMakeLists.txt ===
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(GIO REQUIRED gio-2.0)

add_library(unikey-config STATIC unikey_config.cpp)
TARGET_INCLUDE_DIRECTORIES(unikey-config PUBLIC ${GIO_INCLUDE_DIRS})

include(GSettings)
add_schemas(unikey-config ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_INSTALL_PREFIX}")

## ibus-unikey 0.5

=== debian/changelog ===
ibus-unikey (0.5-2) unstable; urgency=low

  * debian/patches/crash-when-edit-macrotable.patch: fix bug crash when
    edit macro table (Closes: #597292).
  * debian/patches/macro-on-but-cant-use.patch: enable macro but can't use
  * debian/patches/check-setup-to-reload-config.patch: improve config
  * debian/control: bump standards version to 3.9.1.

 -- Lê Quốc Tuấn <mr.lequoctuan@gmail.com>  Sat, 18 Sep 2010 23:34:41 +0700

ibus-unikey (0.5-1) unstable; urgency=low

  * New upstream release (Closes: #579889).
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lê Quốc Tuấn <mr.lequoctuan@gmail.com>  Mon, 14 Jun 2010 15:59:17 +0700

ibus-unikey (0.3+debian-1) unstable; urgency=low

  * Initial release (Closes: #558210).

 -- Lê Quốc Tuấn <mr.lequoctuan@gmail.com>  Fri, 27 Nov 2009 08:54:00 +0700

=== debian/control ===
Source: ibus-unikey
Section: utils
Priority: extra
Maintainer: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, libibus-dev, libx11-dev, libgtk2.0-dev, libgconf2-dev
Standards-Version: 3.9.1
Homepage: http://ibus-unikey.googlecode.com/

Package: ibus-unikey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.2)
Description: Vietnamese Input Method Engine for IBus using Unikey Engine
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Ibus-Unikey is a Vietnamese input method for Ibus
 Use Unikey engine to process keyevent

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_auto_configure -- LDFLAGS="-Wl,--as-needed"

build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ibus-unikey.sgml > ibus-unikey.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/ibus-unikey.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ibus-unikey install

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ibus-unikey 0.6.0

=== debian/changelog ===
ibus-unikey (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Lê Quốc Tuấn <mr.lequoctuan@gmail.com>  Mon, 26 Sep 2011 18:22:05 +0700

=== debian/control ===
Source: ibus-unikey
Section: utils
Priority: extra
Maintainer: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, intltool, libibus-1.0-dev, libx11-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://ibus-unikey.googlecode.com/

Package: ibus-unikey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3)
Description: Vietnamese Input Method Engine for IBus using Unikey Engine
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Ibus-Unikey is a Vietnamese input method for Ibus
 Use Unikey engine to process keyevent

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ibus-unikey/ibus-unikey-([\d.]+)\.tar\.gz

## ibus-unikey 0.6.1

=== debian/changelog ===
ibus-unikey (0.6.1-1build2) saucy; urgency=low

  * No-change rebuild against ibus 1.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Jul 2013 22:20:25 -0400

ibus-unikey (0.6.1-1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 09:26:28 +0100

ibus-unikey (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #661619).

 -- Lê Quốc Tuấn <mr.lequoctuan@gmail.com>  Wed, 29 Feb 2012 14:53:19 +0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
 Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, intltool, libibus-1.0-dev, libx11-dev, libgtk2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ibus-unikey.googlecode.com/
 
 Package: ibus-unikey
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3.99)
 Description: Vietnamese Input Method Engine for IBus using Unikey Engine
  IBus is an Intelligent Input Bus. It is a new input framework for Linux
  OS. It provides full featured and user friendly input method user interface.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,11 @@
 
 	dh_auto_configure -- LDFLAGS="-Wl,--as-needed"
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp:  config.status 
 	dh_testdir

=== debian/watch ===
version=3
http://code.google.com/p/ibus-unikey/downloads/list?can=1 .*/ibus-unikey-(\d[\d\.]*)\.(?:tar\.gz)

## ibus-unikey 0.7.0~beta1

=== debian/changelog ===
ibus-unikey (0.7.0~beta1-3) unstable; urgency=medium

  * debian/patches/backport/361dee1.patch: Backport fix for cmake 4.x compat.
    (Closes: #1113001)
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Sep 2025 17:25:17 -0400

ibus-unikey (0.7.0~beta1-2) unstable; urgency=medium

  * debian/control:
    + Update uploaders list to remove retired maintainer.
    + Add Vcs-* fields for git packaging repo.
  * debian/copyright: Rewrite in machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Apr 2024 16:56:07 -0400

ibus-unikey (0.7.0~beta1-1) unstable; urgency=medium

  * New maintainer (Closes: #968561)
  * Tweak d/watch with uversionmangle to replace '-' with '~'
  * Bump debhelper-compat to 13
  * Drop redundant ibus-gtk and ibus-gtk3 Depends (Closes: #964996)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 17 Aug 2020 17:30:00 +0200

ibus-unikey (0.7.0~beta1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (LP: #1872319)
  * New upstream location, so
    - Homepage changed in d/control
    - d/watch modified
    - Download location changed in d/copyright
  * debian/control:
    - Change to gtk3 (LP: #1736604)
    - Build-Depend on debhelper-compat 12 (and drop d/compat)
    - Drop redundant {build,} dependencies
    - Depend on ibus, ibus-gtk and ibus-gtk3
    - Add Rules-Requires-Root field
    - Bump Standards-Version to 4.5.0
  * debian/rules:
    - Dropped the "--libexecdir=/usr/lib/ibus" configure flag
      (Closes: #955245)
    - Housecleaning - keep it simple
  * debian/ibus-setup-Unikey.desktop, debian/rules:
    - Install .desktop file for setup (Closes: #956609)
  * debian/copyright:
    - Bump copyright years
  * debian/docs:
    - Adapted to present file

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 16 Apr 2020 22:39:00 +0200

ibus-unikey (0.6.1-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix build failure with GCC 6. Closes: #811754.
  * Fix libexecdir (Osamu Aoki). Closes: #714932.
  * Bump debhelper and standards versions.
  * Build with hardening flags.
  * Use parallel builds.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 10:22:17 +0200

=== debian/control ===
Source: ibus-unikey
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk-3-dev,
 libibus-1.0-dev (>= 1.5.22-2)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/vn-input/ibus-unikey
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-unikey.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-unikey
Description: Vietnamese Input Method Engine for IBus using Unikey Engine
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Ibus-Unikey is a Vietnamese input method for IBus. It uses the Unikey engine
 to process keyevents.

Package: ibus-unikey
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ibus (>= 1.5.22-2),
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) DESTDIR=debian/ibus-unikey install
	install -m 644 -D debian/ibus-setup-Unikey.desktop \
	                  debian/ibus-unikey/usr/share/applications/ibus-setup-Unikey.desktop
